## libctk 3.0.24

=== examples/Makefile ===
SRCS    := assert.c clist.c labelwrap.c lots.c om.c table.c
TARGETS := $(SRCS:%.c=%)
CFLAGS	+= -I/usr/lib/glib/include
LIBS    := ../ctk/.libs/libctk.a -larr -lgpm -lglib
#LIBS    := -lctk

all:	$(TARGETS)

clean:
	rm -f $(TARGETS)

%:	%.c
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

%.c:	%.c.gz
	gzip -dc $< >$@

=== debian/changelog ===
libctk (3.0.24) unstable; urgency=low

  * added build-dep for libtool (closes: #104304)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Wed, 11 Jul 2001 09:38:55 -0700

libctk (3.0.23) unstable; urgency=low

  * rebuilt with non-broken dpkg

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Mon,  9 Jul 2001 22:25:16 -0700

libctk (3.0.22) unstable; urgency=low

  * updated config.guess and config.sub for hppa and ia64 happiness.
  * added libctk-dev and libctk3-dev dependency on libglib1.2-dev (closes: #97871)

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Fri,  6 Jul 2001 13:32:19 -0700

libctk (3.0.21) unstable; urgency=low

  * added automake and autoconf to build-depends

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Sat, 24 Feb 2001 23:58:11 -0800

libctk (3.0.20) unstable; urgency=low

  * First upload of the new version into debian

 -- Pete Lypkie (Debian) <plypkie@debian.org>  Sat, 11 Nov 2000 11:20:27 -0800

libctk (3.0.19) unstable; urgency=low

  * Made ctk more aggresive about obtaining a console file descriptor under
    kon. Hopefully we'll always get one now.

 -- Wesley W. Terpstra <terpstra@iota.dhs.org>  Thu,  7 Sep 2000 14:01:01 -0700

libctk (3.0.18) unstable; urgency=low

  * Made the gpmdata opening routine very smart - it looks for kon, and
    figures out what VT it's on. Then we only read gpmdata if you have kon
    and are on it's VT. It's linux specific, but there's no more failure
    cases. Someone else can #ifdef it.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 31 Aug 2000 20:03:40 -0700

libctk (3.0.17) unstable; urgency=low

  * Row deletion in a clist was off by one. 
  * Clist select_row replaced by colour row.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 31 Aug 2000 15:39:49 -0700

libctk (3.0.16) unstable; urgency=low

  * Fixed a *small* *tiny* bug where option menus could under *very* *rare*
    cases seem visible when in an *unusually* packed scrolledwindow.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 30 Aug 2000 18:25:52 -0700

libctk (3.0.15) unstable; urgency=low

  * Remove clist selection signal generation on focus loss

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 30 Aug 2000 15:18:01 -0700

libctk (3.0.14) unstable; urgency=low

  * Relinked against arr with new acs defines
  * Use int for wider graphical chars

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 25 Aug 2000 11:55:00 -0700

libctk (3.0.13) unstable; urgency=low

  * Was missing the down arrow in scrolledwindows b/c it wasn't acs'ed!

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 23 Aug 2000 18:01:10 -0700

libctk (3.0.12) unstable; urgency=low

  * No more beeping when initing the mouse
  * We unflock gpmdata now

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Tue, 22 Aug 2000 19:11:41 -0700

libctk (3.0.11) unstable; urgency=low

  * Fixed the removal of the old directory that prevented install

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Tue, 22 Aug 2000 12:16:39 -0700

libctk (3.0.10) unstable; urgency=low

  * Include actual example files now
  * We double check that the symlink gets created

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon, 21 Aug 2000 12:27:04 -0700

libctk (3.0.9) unstable; urgency=low

  * Made the gpmdata mouse handling a little more clever. Still has some
    failure cases, however.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 18 Aug 2000 12:46:27 -0700

libctk (3.0.8) unstable; urgency=low

  * Removed a reference to arr_scr that somehow made it in and recompiled
    against arr where all the internals are hidden.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 17 Aug 2000 16:49:03 -0700

libctk (3.0.7) unstable; urgency=low

  * Cutting and pasting in editables fixed.

 -- Chris L. Bond <cbond@stormix.com>  Mon, 14 Aug 2000 12:09:57 -0700

libctk (3.0.6) unstable; urgency=low

  * Rebuild of ctk with new NON-MACRO arr links! :-)
  * Redraw on set of inverse colour and reset of colour so multibyte
    leaves no residue. Also, re-ordering drawing which my intuition said
    is what left multibyte ctk mouse drops on click.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Fri, 11 Aug 2000 12:14:03 -0700

libctk (3.0.5) unstable; urgency=low

  * We now listen on /dev/gpmdata as well. We emulate a mouse cursor from
    this. That way if we're running under kon it appears we have gpm. ;-)

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 10 Aug 2000 22:13:16 -0700

libctk (3.0.4) unstable; urgency=low

  * Added an initializer of CTK_CLEAN_REDRAW for complete screen redraws
    as may be necessary on weird multibyte terminals ... like kon.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 10 Aug 2000 18:38:18 -0700

libctk (3.0.3) unstable; urgency=low

  * Made stdinTag and gpmTag available to people who REALLY need it...

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Thu, 10 Aug 2000 17:31:15 -0700

libctk (3.0.2) unstable; urgency=low

  * ctk_set_locale actually does stuff now.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Tue,  8 Aug 2000 16:29:51 -0700

libctk (3.0.1) unstable; urgency=low

  * Fixed a rather serious bug in the wrapping algorithm

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon,  7 Aug 2000 16:16:20 -0700

libctk (3.0.0) unstable; urgency=low

  * Totally new packaging & versioning. Happily libtool like.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Mon, 31 Jul 2000 14:51:54 -0700

libctk (2.0-43) unstable; urgency=low

  * Added a timeout function for registering periodic events as per gtk

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 26 Jul 2000 20:23:52 -0700

libctk (2.0-42) unstable; urgency=low

  * Clist selection moves as you drag.
  * Scrolled windows only drag on the bars.
  * Scrolled window bars drag only on one axis.

 -- Wesley W. Terpstra <wterpstra@stormix.com>  Wed, 26 Jul 2000 15:28:14 -0700

libctk (2.0-41) unstable; urgency=low

  * Yes more hacks to make ctk radio buttons exactly like gtk



=== debian/control ===
Source: libctk
Priority: optional
Section: libs
Maintainer: Pete Lypkie (Debian) <plypkie@debian.org>
Standards-Version: 3.1.1
Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automake, autoconf, libtool

Package: libctk3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Console Tool Kit
 Console Tool Kit is a toolkit for writing textbased GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package contains the runtime files needed by programs linked to ctk.

Package: libctk3-dev
Section: devel
Architecture: any
Depends: libctk3 (= ${Source-Version}), libc6-dev, libarr-dev, libglib1.2-dev
Description: Console Tool Kit, development files
 Console Tool Kit is a toolkit for writing textbased GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package is for developing specifically with ctk death count 3.

Package: libctk-dev
Section: devel
Architecture: any
Depends: libctk3-dev (= ${Source-Version}), libc6-dev, libarr-dev, libglib1.2-dev
Description: Console Tool Kit, development symbolic links
 Console Tool Kit is a toolkit for writing textbased GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package is for developing with the latest ctk.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

dc       := ${shell cat ctk/configure.in | egrep "^CTK_DEATH_COUNT=[0-9]+$$" | cut -d= -f2}
current  := ${shell cat ctk/configure.in | egrep "^CTK_CURRENT=[0-9]+$$"     | cut -d= -f2}
age      := ${shell cat ctk/configure.in | egrep "^CTK_AGE=[0-9]+$$"         | cut -d= -f2}
revision := ${shell cat ctk/configure.in | egrep "^CTK_REVISION=[0-9]+$$"    | cut -d= -f2}
major    := ${shell expr $(current) - $(age)}

build: build-stamp
build-stamp:
	dh_testdir

	(cd ctk && chmod +x autogen.sh config.guess config.sub install-sh \
		ltconfig missing mkinstalldirs)
	(cd ctk && automake && autoconf && ./configure --prefix=/usr && $(MAKE))
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-(cd ctk/ && if [ -e Makefile ]; then $(MAKE) clean; fi; )
	-(cd ctk/ && rm -f Makefile config.cache config.status config.log libtool )
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# (cd ctk && $(MAKE) prefix=`pwd`/../debian/tmp/usr install)
	
	# This is what goes in libctk<dc>
	install -m0755 ctk/.libs/libctk-$(dc).so.$(major).$(age).$(revision) \
		`pwd`/debian/tmp/usr/lib
	(cd debian/tmp/usr/lib; \
	 ln -s libctk-$(dc).so.$(major).$(age).$(revision) libctk-$(dc).so.$(major))

	# These files go into libctk<dc>-dev
	install -d `pwd`/debian/libctk$(dc)-dev/usr/include/ctk-$(dc)
	install -d `pwd`/debian/libctk$(dc)-dev/usr/lib
	install -m0644 ctk/*.h \
	 `pwd`/debian/libctk$(dc)-dev/usr/include/ctk-$(dc)
	install -m0644 ctk/.libs/libctk.a \
	 `pwd`/debian/libctk$(dc)-dev/usr/lib/libctk-$(dc).a.$(major).$(age).$(revision)
	install -m0644 ctk/.libs/libctk.lai \
	 `pwd`/debian/libctk$(dc)-dev/usr/lib/libctk-$(dc).la.$(major).$(age).$(revision)
	(cd debian/libctk$(dc)-dev/usr/lib; \
	 ln -s libctk-$(dc).so.$(major).$(age).$(revision) libctk-$(dc).so; \
	 ln -s libctk-$(dc).a.$(major).$(age).$(revision) libctk-$(dc).a;   \
	 ln -s libctk-$(dc).la.$(major).$(age).$(revision) libctk-$(dc).la)

	# These files go into libctk-dev
	install -d `pwd`/debian/libctk-dev/usr/include
	install -d `pwd`/debian/libctk-dev/usr/lib
	(cd debian/libctk-dev/usr/include; ln -s ctk-$(dc) ctk)
	(cd debian/libctk-dev/usr/lib; \
	 ln -s libctk-$(dc).so libctk.so; \
	 ln -s libctk-$(dc).la libctk.la; \
	 ln -s libctk-$(dc).a  libctk.a)
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	#
	# build libctk${major} package by moving files from libctk-dev
	#
	#dh_movefiles -plibctk$(major)             \
	#       usr/lib/libctk.so.$(major)        \
	#       usr/lib/libctk.so.$(version)

	dh_movefiles -plibctk-dev
	dh_movefiles -plibctk$(dc)-dev
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples -plibctk3-dev examples/*.c examples/Makefile
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libctk 3.0.24.4

=== debian/changelog ===
libctk (3.0.24.4) unstable; urgency=low

  * QA Upload
  * Fix override disparity: libctk-dev and libctk3-dev are in section
    libdevel
  * Remove CVS/ directories from source

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 15 Feb 2004 18:47:04 +0100

libctk (3.0.24.3) unstable; urgency=low

  * QA upload
  * rerun all the autotools to fix build failure on arm (Closes: #230815)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 15 Feb 2004 17:28:18 +0100

libctk (3.0.24.2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/control: corrected spelling mistakes in package descriptions
  (Closes: #124926 #124927 #124928)
  * debian/changelog: removed emacs tags
  * debian/copyright: de-dh_make-boilerplated

 -- Andrew Pollock <apollock@debian.org>  Sat, 31 Jan 2004 11:21:03 +1100

libctk (3.0.24.1) unstable; urgency=low

  * Non-maintainer upload.
  * The "SEAT MAKINERO" release, DebCamp^3, Oslo.
  * debian/rules: Added SED=/bin/sed variable to ${MAKE}. This fix the RC bug
    (closes: #150235).

 -- David Martnez Moreno <ender@debian.org>  Mon, 14 Jul 2003 00:59:57 +0200

=== debian/control ===
Source: libctk
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.1.1
Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automake1.4, autoconf2.13, libtool

Package: libctk3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Console Tool Kit
 Console Tool Kit is a toolkit for writing text-based GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package contains the runtime files needed by programs linked to ctk.

Package: libctk3-dev
Section: libdevel
Architecture: any
Depends: libctk3 (= ${Source-Version}), libc6-dev, libarr-dev, libglib1.2-dev
Description: Console Tool Kit, development files
 Console Tool Kit is a toolkit for writing text-based GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package is for developing specifically with ctk death count 3.

Package: libctk-dev
Section: libdevel
Architecture: any
Depends: libctk3-dev (= ${Source-Version}), libc6-dev, libarr-dev, libglib1.2-dev
Description: Console Tool Kit, development symbolic links
 Console Tool Kit is a toolkit for writing text-based GUIs. The syntax is
 almost the same as GTK+. It provides mouse support on the console through
 gpm.
 This package is for developing with the latest ctk.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 	(cd ctk && chmod +x autogen.sh config.guess config.sub install-sh \
 		ltconfig missing mkinstalldirs)
-	(cd ctk && automake && autoconf && ./configure --prefix=/usr && $(MAKE))
+	(cd ctk && automake && autoconf && ./configure --prefix=/usr && SED=/bin/sed $(MAKE))
 	
 	touch build-stamp

## libctk 3.0.24.6

=== debian/changelog ===
libctk (3.0.24.6) unstable; urgency=low

  * QA Upload.
  * debian/rules (build): Use DEB_BUILD_GNU_TYPE and
  DEB_HOST_GNU_TYPE, and get them from dpkg-architecture.  Don't run
  autotools on every build.  Touch autogenerated files so that they don't
  get accidentally run.  Closes: #265102.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 11 Aug 2004 12:59:34 -0700

libctk (3.0.24.5) unstable; urgency=low

  * QA Upload.
  * debian/control: Mention in the description of libctk3-dev that the
    real package to install is libctk-dev.  Build-Depends on automaken
    instead of specific version.  
  * ctk/Makefile.am: use AM_CFLAGS instead of CFLAGS.
  * ctk/depcomp: New file, from automake 1.7.
  * ctk/missing: Update from automake 1.7.
  * ctk/ltmain.sh: Update from libtool 1.5.6.
  * Rerun autotools.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Aug 2004 15:31:13 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.1.1
-Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automake1.4, autoconf2.13, libtool
+Build-Depends: libgpmg1-dev, libglib1.2-dev, libarr-dev, debhelper, automaken, autoconf2.13, libtool
 
 Package: libctk3
 Section: libs
@@ -23,7 +23,9 @@
  Console Tool Kit is a toolkit for writing text-based GUIs. The syntax is
  almost the same as GTK+. It provides mouse support on the console through
  gpm.
- This package is for developing specifically with ctk death count 3.
+ This package is for developing specifically with ctk death count 3.  You
+ should normally not install this package directly; install libctk-dev 
+ instead which will get you the current libctk death count.
 
 Package: libctk-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=1
 
+export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 dc       := ${shell cat ctk/configure.in | egrep "^CTK_DEATH_COUNT=[0-9]+$$" | cut -d= -f2}
 current  := ${shell cat ctk/configure.in | egrep "^CTK_CURRENT=[0-9]+$$"     | cut -d= -f2}
 age      := ${shell cat ctk/configure.in | egrep "^CTK_AGE=[0-9]+$$"         | cut -d= -f2}
@@ -17,10 +20,12 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
+	
 	(cd ctk && chmod +x autogen.sh config.guess config.sub install-sh \
 		ltconfig missing mkinstalldirs)
-	(cd ctk && automake && autoconf && ./configure --prefix=/usr && SED=/bin/sed $(MAKE))
+	(cd ctk && touch configure.in aclocal.m4 configure)
+	(cd ctk && ./configure --build=$(DEB_BUILD_GNU_TYPE) \
+	  --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr && SED=/bin/sed $(MAKE))
 	
 	touch build-stamp
